//< 1. Property 7 >===========================================================================================//<   1>
                                                                                                              //<   2>
#property       copyright                "Copyright (C) 2023, MetaQuotes Software Corp."                      //<   3>
#property       link                     "http://www.metaquotes.net"                                          //<   4>
                                                                                                              //<   5>
#define         A_System_Series          "AIS"                                                                //<   6>
#define         A_System_Modification    "70102"                                                              //<   7>
#define         A_System_ReleaseDate     "2023.10.24"                                                         //<   8>
#define         A_System_Program         "Horizontal Grid Plotter"                                            //<   9>
#define         A_System_Programmer      "AIS AIRAT SAFIN                              mql5.com/en/users/AIS" //<  10>
                                                                                                              //<  11>
//</1. Property 7 >===========================================================================================//<  12>
////////////////////////////////////////////////////////////////////////////////////////////////////////////////<  13>
//< 2. Constants 1 >==========================================================================================//<  14>
                                                                                                              //<  15>
#define         acs_HGPrefix             "AHGL_"                                                              //<  16>
                                                                                                              //<  17>
//</2. Constants 1 >==========================================================================================//<  18>
////////////////////////////////////////////////////////////////////////////////////////////////////////////////<  19>
//< 3. Presets 7 >============================================================================================//<  20>
                                                                                                              //<  21>
#property       show_inputs                                                                                   //<  22>
                                                                                                              //<  23>
extern double   aed_HGMax              = 2.0000                                                             ; //<  24>
extern double   aed_HGStep             = 0.0100                                                             ; //<  25>
extern double   aed_HGMin              = 0.9000                                                             ; //<  26>
                                                                                                              //<  27>
extern color    aei_HGColor            = Yellow                                                             ; //<  28>
extern int      aei_HGStyle            = 2                                                                  ; //<  29>
extern int      aei_HGBackground       = 0                                                                  ; //<  30>
                                                                                                              //<  31>
//</3. Presets 7 >============================================================================================//<  32>
////////////////////////////////////////////////////////////////////////////////////////////////////////////////<  33>
//< 4. Main Program 11 >======================================================================================//<  34>
                                                                                                              //<  35>
void   OnStart                        ()                                                                      //<  36>
{                                                                                                             //<  37>
                                                                                                              //<  38>
int             ali_HGPriceMax         = MathRound     ( aed_HGMax      / Point                           ) ; //<  39>
int             ali_HGPriceStep        = MathRound     ( aed_HGStep     / Point                           ) ; //<  40>
int             ali_HGPriceMin         = MathRound     ( aed_HGMin      / Point                           ) ; //<  41>
                                                                                                              //<  42>
for  ( int ali_Price = ali_HGPriceMin  ; ali_Price    <= ali_HGPriceMax ; ali_Price      += ali_HGPriceStep ) //<  43>
     {                                                                                                        //<  44>
       double          ald_HGLinePrice = ali_Price     * Point                                              ; //<  45>
       string          als_HGLineName  = acs_HGPrefix  + DoubleToStr    ( ald_HGLinePrice , Digits        ) ; //<  46>
       ObjectCreate  ( als_HGLineName  , OBJ_HLINE     , 0 , 0          , ald_HGLinePrice                 ) ; //<  47>
       ObjectSet     ( als_HGLineName  , OBJPROP_COLOR                  , aei_HGColor                     ) ; //<  48>
       ObjectSet     ( als_HGLineName  , OBJPROP_STYLE                  , aei_HGStyle                     ) ; //<  49>
       ObjectSet     ( als_HGLineName  , OBJPROP_BACK                   , aei_HGBackground                ) ; //<  50>
     } // for                                                                                                 //<  51>
                                                                                                              //<  52>
}                                                                                                             //<  53>
//</4. Main Program 11 >======================================================================================//<  54>